

public class MatrixClient {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		double[] diagonalA = {1, 5, -2};
		double[] diagonalB = {2, 4, 3};
		double[][] data = {{1, 2, 3, 4}, {5, 6, 7, 8}, {9, 10, 11, 12}};
		
		
		DiagonalMatrix d1 = new DiagonalMatrix(diagonalA);
		DiagonalMatrix d2 = new DiagonalMatrix(diagonalB);
		OrdinaryMatrix o = new OrdinaryMatrix(data);
		Matrix m = d2;
		
		printMatrix(d1.multiply(o));
		printMatrix(d1.multiply(d2));
		printMatrix(d1.multiply(m));
		printMatrix(o.multiply(d1));
		printMatrix(m.multiply(d1));
	}
	
	private static void printMatrix(Matrix m) {
		for (int i = 0; i < m.getHeight(); i++) {
			for (int j = 0; j < m.getWidth(); j++) {
				System.out.format("% .2f\t", m.getElementAt(i, j));
			}
			System.out.println();
		}
		System.out.println();
	}

}
